sauerkrautfishl 2023-01-05 00:25 采纳率: 100%
浏览 69
已结题

python安装pygame模块出现SSLCertVerificationError和URLError错误

萌新刚上手三天python,想安装一个pygame模块,学一学相关代码。结果安装失败,出现SSLCertVerificationError和URLError

 在命令行中输入pip install pygame -i https://pypi.tuna.tsinghua.edu.cn/simple

产生错误,运行结果:
C:\Users\79286>pip install pygame -i https://pypi.tuna.tsinghua.edu.cn/simple
Looking in indexes: https://pypi.tuna.tsinghua.edu.cn/simple
Collecting pygame
  Using cached https://pypi.tuna.tsinghua.edu.cn/packages/9a/50/67767e5586a45e7e7b02e6f0e07853f8fcb81b54c66db6278f1a1344491f/pygame-2.1.2.tar.gz (10.1 MB)
  Preparing metadata (setup.py) ... error
  error: subprocess-exited-with-error

  × python setup.py egg_info did not run successfully.
  │ exit code: 1
  ╰─> [80 lines of output]


      WARNING, No "Setup" File Exists, Running "buildconfig/config.py"
      Using WINDOWS configuration...

      Traceback (most recent call last):
        File "C:\Users\79286\AppData\Local\Programs\Python\Python311\Lib\urllib\request.py", line 1348, in do_open
          h.request(req.get_method(), req.selector, req.data, headers,
        File "C:\Users\79286\AppData\Local\Programs\Python\Python311\Lib\http\client.py", line 1282, in request
          self._send_request(method, url, body, headers, encode_chunked)
        File "C:\Users\79286\AppData\Local\Programs\Python\Python311\Lib\http\client.py", line 1328, in _send_request
          self.endheaders(body, encode_chunked=encode_chunked)
        File "C:\Users\79286\AppData\Local\Programs\Python\Python311\Lib\http\client.py", line 1277, in endheaders
          self._send_output(message_body, encode_chunked=encode_chunked)
        File "C:\Users\79286\AppData\Local\Programs\Python\Python311\Lib\http\client.py", line 1037, in _send_output
          self.send(msg)
        File "C:\Users\79286\AppData\Local\Programs\Python\Python311\Lib\http\client.py", line 975, in send
          self.connect()
        File "C:\Users\79286\AppData\Local\Programs\Python\Python311\Lib\http\client.py", line 1454, in connect
          self.sock = self._context.wrap_socket(self.sock,
                      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
        File "C:\Users\79286\AppData\Local\Programs\Python\Python311\Lib\ssl.py", line 517, in wrap_socket
          return self.sslsocket_class._create(
                 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
        File "C:\Users\79286\AppData\Local\Programs\Python\Python311\Lib\ssl.py", line 1075, in _create
          self.do_handshake()
        File "C:\Users\79286\AppData\Local\Programs\Python\Python311\Lib\ssl.py", line 1346, in do_handshake
          self._sslobj.do_handshake()
      ssl.SSLCertVerificationError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: certificate has expired (_ssl.c:992)

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
        File "<string>", line 2, in <module>
        File "<pip-setuptools-caller>", line 34, in <module>
        File "C:\Users\79286\AppData\Local\Temp\pip-install-xt028uw6\pygame_b42a2ef519804802952eae4b096b2df0\setup.py", line 359, in <module>
          buildconfig.config.main(AUTO_CONFIG)
        File "C:\Users\79286\AppData\Local\Temp\pip-install-xt028uw6\pygame_b42a2ef519804802952eae4b096b2df0\buildconfig\config.py", line 225, in main
          deps = CFG.main(**kwds)
                 ^^^^^^^^^^^^^^^^
        File "C:\Users\79286\AppData\Local\Temp\pip-install-xt028uw6\pygame_b42a2ef519804802952eae4b096b2df0\buildconfig\config_win.py", line 497, in main
          and download_win_prebuilt.ask(**download_kwargs):
              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
        File "C:\Users\79286\AppData\Local\Temp\pip-install-xt028uw6\pygame_b42a2ef519804802952eae4b096b2df0\buildconfig\download_win_prebuilt.py", line 290, in ask
          update(x86=x86, x64=x64)
        File "C:\Users\79286\AppData\Local\Temp\pip-install-xt028uw6\pygame_b42a2ef519804802952eae4b096b2df0\buildconfig\download_win_prebuilt.py", line 273, in update
          download_prebuilts(download_dir, x86=x86, x64=x64)
        File "C:\Users\79286\AppData\Local\Temp\pip-install-xt028uw6\pygame_b42a2ef519804802952eae4b096b2df0\buildconfig\download_win_prebuilt.py", line 124, in download_prebuilts
          download_sha1_unzip(url, checksum, temp_dir, 1)
        File "C:\Users\79286\AppData\Local\Temp\pip-install-xt028uw6\pygame_b42a2ef519804802952eae4b096b2df0\buildconfig\download_win_prebuilt.py", line 54, in download_sha1_unzip
          response = urllib.urlopen(request).read()
                     ^^^^^^^^^^^^^^^^^^^^^^^
        File "C:\Users\79286\AppData\Local\Programs\Python\Python311\Lib\urllib\request.py", line 216, in urlopen
          return opener.open(url, data, timeout)
                 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
        File "C:\Users\79286\AppData\Local\Programs\Python\Python311\Lib\urllib\request.py", line 519, in open
          response = self._open(req, data)
                     ^^^^^^^^^^^^^^^^^^^^^
        File "C:\Users\79286\AppData\Local\Programs\Python\Python311\Lib\urllib\request.py", line 536, in _open
          result = self._call_chain(self.handle_open, protocol, protocol +
                   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
        File "C:\Users\79286\AppData\Local\Programs\Python\Python311\Lib\urllib\request.py", line 496, in _call_chain
          result = func(*args)
                   ^^^^^^^^^^^
        File "C:\Users\79286\AppData\Local\Programs\Python\Python311\Lib\urllib\request.py", line 1391, in https_open
          return self.do_open(http.client.HTTPSConnection, req,
                 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
        File "C:\Users\79286\AppData\Local\Programs\Python\Python311\Lib\urllib\request.py", line 1351, in do_open
          raise URLError(err)
      urllib.error.URLError: <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: certificate has expired (_ssl.c:992)>
      Making dir :prebuilt_downloads:
      Downloading... https://www.libsdl.org/release/SDL2-devel-2.0.18-VC.zip ed561079ec622b0bab5a9e02976f5d540b0622da

      ---
      For help with compilation see:
          https://www.pygame.org/wiki/CompileWindows
      To contribute to pygame development see:
          https://www.pygame.org/contribute.html
      ---

      [end of output]

  note: This error originates from a subprocess, and is likely not a problem with pip.
error: metadata-generation-failed

× Encountered error while generating package metadata.
╰─> See above for output.

note: This is an issue with the package mentioned above, not pip.
hint: See above for details.

查了网上教程,别人主要是下载连接超时和pip版本过旧问题。我照着换了源、更新了pip版本,仍然无法解决这些问题,求大佬帮助
  • 写回答

6条回答 默认 最新

  • Jackyin0720 2023-01-05 11:09
    关注
    error: subprocess-exited-with-error
      × python setup.py egg_info did not run successfully.
      │ exit code: 1
      ╰─> [80 lines of output]
    错误:子进程退出,出现错误
    ×python setup.py egg_info未成功运行。
    │ 退出代码:1
    ╰─> [80行输出]
    
    error: metadata-generation-failed
    × Encountered error while generating package metadata.
    ╰─> See above for output.
    错误:元数据生成失败
    ×生成包元数据时遇到错误。
    ╰─> 输出见上文。
    
    分析是版本不匹配的原因,要么是python版本过高或过低,要么是pygame过高或过低
    

    建议题主结合这个实例去安装【Python中Pygame模块的详细安装过程】,链接:https://www.jb51.net/article/263821.htm

    本回答被题主选为最佳回答 , 对您是否有帮助呢?
    评论
查看更多回答(5条)

报告相同问题?

问题事件

  • 系统已结题 1月13日
  • 已采纳回答 1月5日
  • 创建了问题 1月5日

悬赏问题

  • ¥15 idea tomcat和sql驱动不匹配吗
  • ¥15 如何查看h3c 5130s-28f-si交换机配置 及更改网口
  • ¥15 HFSS仿真喇叭天线阵列方向图出现异常
  • ¥15 blender自发光强度
  • ¥15 FIR滤波器算法设计与实现(利用库函数firdec()
  • ¥15 利用单片机产生正弦信号,来测量差分放大电路放大倍数和共模放大倍数的思路和仿真
  • ¥60 关于mavlink的论文咨询
  • ¥66 定制开发肯德基自动化网站下单软件
  • ¥15 中科院研发的TextMind(文心)
  • ¥20 vscode虚拟环境依赖包未安装